use crate::models::parameters::GeoffreyParam;
use crate::models::Position;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct EditParams {
    pub loc_name: String,
    pub new_pos: Option<Position>,
    pub new_name: Option<String>,
}

impl EditParams {
    pub fn new(loc_name: String, new_pos: Option<Position>, new_name: Option<String>) -> Self {
        Self {
            loc_name,
            new_pos,
            new_name,
        }
    }
}

impl GeoffreyParam for EditParams {}
