use crate::models::parameters::GeoffreyParam;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct ItemCommandParams {
    pub shop_name: String,
    pub item_name: String,
}

impl ItemCommandParams {
    pub fn new(shop_name: String, item_name: String) -> Self {
        Self {
            shop_name,
            item_name,
        }
    }
}

impl GeoffreyParam for ItemCommandParams {}
