use crate::models::parameters::GeoffreyParam;
use crate::models::player::UserID;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct RegisterParameters {
    pub username: String,
    pub user_id: UserID,
    pub link_code: Option<String>,
}

impl RegisterParameters {
    pub fn new(username: String, user_id: UserID, link_code: Option<String>) -> Self {
        RegisterParameters {
            username,
            user_id,
            link_code,
        }
    }
}

impl GeoffreyParam for RegisterParameters {}
