use serde::{Deserialize, Serialize};

#[derive(Clone, Debug, Deserialize, Serialize)]
pub struct GeoffreySettings {
    pub min_out_of_stock_votes: u32,
    pub max_owners_to_display: u32,
    pub max_item_listings_to_display: u32,
    pub max_str_len: usize,
    pub dynmap_base_link: Option<String>,
}

impl Default for GeoffreySettings {
    fn default() -> Self {
        Self {
            min_out_of_stock_votes: 1,
            max_owners_to_display: 3,
            max_item_listings_to_display: 10,
            max_str_len: 25,
            dynmap_base_link: None,
        }
    }
}
